### Method

# Ide Application set_workspace_type

#### Declaration

    void
    ide_application_set_workspace_type (
      IdeApplication* self,
      GType workspace_type
    )

#### Description

Sets the `GType` of an `IdeWorkspace` that should be used when creating the next workspace upon handling files from command-line arguments. This is reset after the files are opened and is generally only useful from `IdeApplicationAddin`‘s who need to alter the default workspace.

Available since: | 3.32

#### Parameters

`workspace_type` | `GType`
| No description available.